package com.tuoheng.exception;

public class DiyException extends RuntimeException {

    private static final long serialVersionUID = -783442404816393286L;
    //默认错误异常码为-1
    public static final int ERROR_CODE_DEFAULT = -1;

    private String msg;
    private int code;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    /**
     * 带参构造器
     *
     * @param msg 异常信息
     */
    public DiyException(String msg) {
        super(msg);
        this.code = ERROR_CODE_DEFAULT;
        this.msg = msg;
    }

    /**
     * 带参构造器
     *
     * @param code 异常码
     * @param msg  异常信息
     */
    public DiyException(int code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

}

